PHP ��U
前一頁 |  | 下一頁

# DOMDocument->loadXML()

(no version information, might be only in CVS)

DOMDocument->loadXML() -- Load XML from a string

## Description

class DOMDocument {
mixed loadXML ( string source [, int options] )
}

Loads an XML document from a string.

This method may also be called statically to load and create a DOMDocument object. The static invocation may be used when no DOMDocument properties need to be set prior to loading.

## Parameters

source

  The string containing the XML.

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C If called statically, returns a DOMDocument.

## �d��

範例 1. Creating a Document

`<?php $doc = new DOMDocument(); $doc->loadXML('<root><node/></root>'); echo $doc->saveXML(); ?>`

範例 2. Static invocation of loadXML

`<?php $doc = DOMDocument::loadXML('<root><node/></root>'); echo $doc->saveXML(); ?>`

## �Ѧ�

DOMDocument->load()
DOMDocument->save()
DOMDocument->saveXML()

前一頁 | 內容 | 下一頁
DOMDocument->loadHTMLFile() | 上一層 | DOMDocument->normalize()